For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
              • GETList Enabled Filters
              • PUTUpdate Enabled Filters
              • GETList Available Filters
              • GETList Contextual Filters
              • PUTUpsert Contextual Filters
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSettingsSearch Filters

List Available Filters

GET
https://api.bigcommerce.com/stores/:store_hash/v3/settings/search/filters/available
GET
/stores/:store_hash/v3/settings/search/filters/available
$curl https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters/available \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200example-1
1{
2 "data": [
3 {
4 "id": "Y2F0Zooo123=",
5 "name": "Category",
6 "product_count": 7,
7 "type": "category"
8 },
9 {
10 "id": "YnJh123=",
11 "name": "Brand",
12 "product_count": 8,
13 "type": "brand"
14 },
15 {
16 "id": "cmF0a123",
17 "name": "Rating",
18 "product_count": 1,
19 "type": "rating"
20 },
21 {
22 "id": "cHJp123=",
23 "name": "Price",
24 "price_range_max": 300.99,
25 "price_range_min": 6.75,
26 "type": "price"
27 },
28 {
29 "id": "U2l123==",
30 "name": "Size",
31 "product_count": 3,
32 "type": "product"
33 },
34 {
35 "id": "Q29s123=",
36 "name": "Color",
37 "product_count": 2,
38 "type": "product"
39 },
40 {
41 "id": "Ym9123==",
42 "name": "Other",
43 "type": "other"
44 }
45 ],
46 "meta": {}
47}
Returns a list of filters available to power [Product Filtering](https://support.bigcommerce.com/s/article/Product-Filtering-Settings).
Was this page helpful?
Previous

Update Enabled Filters

Next

List Contextual Filters

Built with

Returns a list of filters available to power Product Filtering.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

channel_idintegerOptional
Narrows the list of available filters based on channel ID. Only products currently assigned to the given Channel will be considered.
category_idintegerOptional
Narrows the list of available filters based on category ID. You can display settings to show products from the provided category, subcategories only, or both the category and its child categories.

Response

datalist of objects
metaobject
Response metadata.

The MIME type of the response body.